backend:
 name: gitlab
 repo: gitlab-com/www-gitlab-com # Path to your GitLab repository
 auth_type: pkce # Required for pkce
 app_id: d656971f8c2a795cf94032efc60d55550ab37615bf4d07e919faea6eaa777d49 # Application ID from your GitLab settings
 cms_label_prefix: netlify-cms/
 preview_context: review/cms-blog-posts-{{file_name}}  # MR !78973
 # My thinking here is we can push this MR with the collection hard coded, if it works find the way to call the collection
 # preview_context: review/cms-{{collection.name.label}}-{{file_name}} # something like that
 # preview_context: review/cms-{{dirname}}-{{file_name}} # Didnt work, MR !80527
 # preview_context: review/cms-topic-child-{{file_name}} # MR !80561
 # preview_context: review/build-and-deploy # Or reference the build-and-deploy stage in our CI 
# These are default settings, define expclitly if different from defualt
# branch: master
# api_root: https://gitlab.com/api/v4
# base_url: https://gitlab.com
# auth_endpoint: oauth/authorize
# site_domain: location.hostname 
 
# Allows access to /admin/ on local dev server
# Run npx netlify-cms-proxy-server from the root directory in separate terminal window
# https://www.netlifycms.org/docs/beta-features/#working-with-a-local-git-repository
local_backend: true

publish_mode: editorial_workflow
media_folder: /source/images/blogimages
public_folder: /images/blogimages
site_url: https://about.gitlab.com
logo_url: "/images/logo.png"

collections:
  - name: topic
    label: Topic
    format: yml
    extension: yml
    folder: /data/topic/
    create: true
    slug: '{{file_name}}'
    preview_path: topics/{{slug}}
    #preview_path: https://cms-{{name}}-{{slug}}.about.gitlab-review.app/topics/{{slug}}
    fields:
      - {label: Title, name: title, hint: Title displayed in header of webpage. This title is meant for people that are already on your site. It’s telling them what your post or page is about., widget: string, required: true}
      - {label: SEO Title, hint:  is meant for people who are not on your website yet (viewing in SERP results). It will be shown to people in the search engines., name: seo_title, widget: string, required: false}
      - {label: SEO Description, hint: This is the SEO description that will get rendered in search results, name: description, widget: string, required: true}
      - {label: Header Body, name: header_body, widget: markdown, hint: This is displayed in the header underneath the title, required: true}
      - {label: Canonical Path, hint: Absolute path and it is always unique - please include the following `/topics/final-url-path` - replacing `final-url-path` with your parameter., name: canonical_path, widget: string, required: true}
      - {label: Final URL Path, hint: This will the be final part of the topics page url (/topics/FINAL-URL-PATH) and the name your data files is saved as in data/topic/. , name: file_name, widget: string, required: true}
      - label: Social share image
        hint: The images that is displayed in social media when this article is shared
        name: twitter_image
        widget: image
        media_folder: /source/images/opengraph
        public_folder: /images/opengraph
        required: true
      - label: Related Content, links in header to outside sources
        name: related_content
        hint: Links displayed in the header underneath the "MORE ON THIS TOPIC" title
        widget: list
        required: false
        fields:
          - {label: Title, name: title, widget: string, required: false}
          - {label: URL, name: url, widget: string, required: false}  
      - label: Cover Image
        hint: Image displayed at beginning of body content
        name: cover_image
        widget: image
        required: false
        media_folder: /source/images/topics
        public_folder: /images/topics
      - {label: Body, name: body, widget: markdown, required: true}
      - {label: Benefits Title, hint: Title displayed next to list of benefits for this topic,  name: benefits_title, widget: string, required: false}
      - {label: Benefits Description, name: benefits_description, widget: markdown, required: false}
      - label: benefits list
        name: benefits
        widget: list
        required: false
        hint: Each of these items will be displayed next to their image, underneath the body content
        fields:
          - {label: Title, name: title, widget: string, required: true}
          - {label: Description, name: description, widget: markdown, required: true}
          - {label: Image, name: image, widget: image, required: true, media_folder: /source/images/icons, public_folder: /images/icons}
      - {label: Second Benefits Title, hint: Title displayed next to list of benefits for this topic,  name: benefits_2_title, widget: string, required: false}
      - {label: Second Benefits Description, name: benefits_2_description, widget: markdown, required: false}
      - label: second benefits list
        name: benefits_2
        widget: list
        required: false
        hint: Second benefits block. Each of these items will be displayed next to their image, underneath the body content
        fields:
          - {label: Title, name: title, widget: string, required: true}
          - {label: Description, name: description, widget: markdown, required: true}
          - {label: Image, name: image, widget: image, required: true,  media_folder: /source/images/icons, public_folder: /images/icons}         
      - label: cta_banner
        name: cta_banner
        widget: list
        required: false
        hint: More content to be displayed after benefits of block, this content can have CTA buttons
        fields:
          - {label: Title, name: title, widget: string, required: false}
          - {label: CTA Body, name: body, widget: markdown, required: false}
          - label: CTA buttons
            name: cta
            widget: list
            required: false
            fields:
              - {label: CTA Text, name: text, widget: string, required: true}
              - {label: URL, name: url, widget: string, required: true}
      - {label: Resources title, hint: Title of resources block displayed at the bottom of the page, name: resources_title, widget: string, required: false}
      - {label: Resources description, name: resources_intro, widget: markdown, required: false}
      - label: Resources
        name: resources
        widget: list
        required: false
        hint: Each of these will be grouped by type and displayed in order as shown in the admin. You can drag and drop the items in the admin.
        fields:
          - {label: Title, name: title, widget: string, required: true}
          - {label: URL, name: url, widget: string, required: true}
          - {label: Type, name: type, widget: "select", options: ["Webcast", "Video", "Whitepapers", "Books", "Case studies", "Articles", "Reports", "Blog", "Podcast"], required: true}
      - label: Suggested Content
        name: suggested_content
        hint: Only place existing blog articles starting with the /blog/path-to-blog-article path. This block will intelligently pull the blog title, description, link, and image into a blog card displayed in a group at the bottom of the page.
        widget: list
        required: false
        fields:
          - {label: URL, name: url, widget: string}
      - label: schema.org FAQPage questions
        name: schema_faq
        hint: questions displayed in search results. DO NOT INCLUDE LINKS IN BODY. Use CTA button instead.
        widget: list
        fields:
          - {label: Question, name: question, widget: string}
          - {label: Answer, name: answer, widget: markdown, hint: DO NOT INCLUDE LINKS IN BODY, USE CTA BUTTON}
          - label: CTA buttons
            name: cta
            widget: list
            required: false
            fields:
              - {label: CTA Text, name: text, widget: string, required: false}
              - {label: URL, name: url, widget: string, required: false}
  - name: topic_child
    label: Topic Child Pages
    format: yml
    extension: yml
    folder: /data/topic_children/
    create: true
    slug: '{{file_name}}'
    fields:
      - {label: Title, name: title, hint: Title displayed in header of webpage. This title is meant for people that are already on your site. It’s telling them what your post or page is about., widget: string, required: true}
      - {label: SEO Title, hint:  is meant for people who are not on your website yet (viewing in SERP results). It will be shown to people in the search engines., name: seo_title, widget: string, required: false}
      - {label: SEO Description, hint: This is the SEO description that will get rendered in search results, name: description, widget: string, required: true}
      - {label: Header Body, name: header_body, widget: markdown, hint: This is displayed in the header underneath the title, required: true}
      - {label: Canonical Path, hint: Absolute path and it is always unique - please include the following `/topics/parent-topic/final-url-path` - replacing `parent-topic` and `final-url-path` with your parameters., name: canonical_path, widget: string, required: true}
      - {label: Final URL Path, hint: This will the be final part of the topics page url (/topics/parent-topic/FINAL-URL-PATH) and the name your data files is saved as in data/topic_children/. , name: file_name, widget: string, required: true}
      - { 
          label: 'Parent Topic',
          name: 'parent_topic',
          widget: 'relation',
          collection: 'topic',
          display_fields: [file_name],
          search_fields: [file_name],
          value_field: 'file_name',
          hint: This will the be preceding part of the topics page url - about.gitlab.com/parent-topic/final-url,
          required: true
        }
      - label: Social share image
        hint: The images that is displayed in social media when this article is shared
        name: twitter_image
        widget: image
        media_folder: /source/images/opengraph
        public_folder: /images/opengraph
        required: true
      - label: Related Content, links in header to outside sources
        name: related_content
        hint: Links displayed in the header underneath the "MORE ON THIS TOPIC" title
        widget: list
        required: false
        fields:
          - {label: Title, name: title, widget: string, required: false}
          - {label: URL, name: url, widget: string, required: false}
      - label: Cover Image
        hint: Image displayed at beginning of body content
        name: cover_image
        widget: image
        required: false
        media_folder: /source/images/topics
        public_folder: /images/topics
      - {label: Body, name: body, widget: markdown, required: true}
      - label: pull_quote
        name: pull_quote
        widget: list
        required: false
        hint: Pull quotes displayed after body content
        fields:
          - {label: quote, name: quote, widget: string, required: false}
          - {label: source, name: source, widget: string, required: false}
      - {label: Benefits Title, hint: Title displayed next to list of benefits for this topic,  name: benefits_title, widget: string, required: false}
      - {label: Benefits Description, name: benefits_description, widget: markdown, required: false}
      - label: benefits list
        name: benefits
        widget: list
        required: false
        hint: Each of these items will be displayed next to their image, underneath the body content
        fields:
          - {label: Title, name: title, widget: string, required: true}
          - {label: Description, name: description, widget: markdown, required: true}
          - {label: Image, name: image, widget: image, required: true, media_folder: /source/images/icons, public_folder: /images/icons}
      - {label: Second Benefits Title, hint: Title displayed next to list of benefits for this topic,  name: benefits_2_title, widget: string, required: false}
      - {label: Second Benefits Description, name: benefits_2_description, widget: markdown, required: false}
      - label: second benefits list
        name: benefits_2
        widget: list
        required: false
        hint: Second benefits block. Each of these items will be displayed next to their image, underneath the body content
        fields:
          - {label: Title, name: title, widget: string, required: true}
          - {label: Description, name: description, widget: markdown, required: true}
          - {label: Image, name: image, widget: image, required: true,  media_folder: /source/images/icons, public_folder: /images/icons}         
      - label: cta_banner
        name: cta_banner
        widget: list
        required: false
        hint: More content to be displayed after benefits of block, this content can have CTA buttons
        fields:
          - {label: Title, name: title, widget: string, required: false}
          - {label: CTA Body, name: body, widget: markdown, required: false}
          - label: CTA buttons
            name: cta
            widget: list
            required: false
            fields:
              - {label: CTA Text, name: text, widget: string, required: false}
              - {label: URL, name: url, widget: string, required: false}
      - {label: Resources title, hint: Title of resources block displayed at the bottom of the page, name: resources_title, widget: string, required: false}
      - {label: Resources description, name: resources_intro, widget: markdown, required: false}
      - label: Resources
        name: resources
        widget: list
        required: false
        hint: Each of these will be grouped by type and displayed in order as shown in the admin. You can drag and drop the items in the admin.
        fields:
          - {label: Title, name: title, widget: string, required: true}
          - {label: URL, name: url, widget: string, required: true}
          - {label: Type, name: type, widget: "select", options: ["Webcast", "Video", "Whitepapers", "Books", "Case studies", "Articles", "Reports", "Blog", "Podcast"], required: true}
      - label: Suggested Content
        name: suggested_content
        hint: Only place existing blog articles starting with the /blog/path-to-blog-article path. This block will intelligently pull the blog title, description, link, and image into a blog card displayed in a group at the bottom of the page.
        widget: list
        required: false
        fields:
          - {label: URL, name: url, widget: string}
      - label: schema.org FAQPage questions
        name: schema_faq
        hint: questions displayed in search results. DO NOT INCLUDE LINKS IN BODY. Use CTA button instead.
        widget: list
        fields:
          - {label: Question, name: question, widget: string}
          - {label: Answer, name: answer, widget: markdown, hint: DO NOT INCLUDE LINKS IN BODY, USE CTA BUTTON}
          - label: CTA buttons
            name: cta
            widget: list
            required: false
            fields:
              - {label: CTA Text, name: text, widget: string, required: false}
              - {label: URL, name: url, widget: string, required: false}
    view_filters:
      - label: "Agile Delivery"
        field: parent_topic
        pattern: 'agile-delivery'
      - label: "Application Security"
        field: parent_topic
        pattern: 'application-security'
      - label: "CI CD"
        field: parent_topic
        pattern: 'ci-cd'
      - label: "DevOps"
        field: parent_topic
        pattern: 'devops'
      - label: "GitOps"
        field: parent_topic
        pattern: 'gitops'
      - label: "Microservices"
        field: parent_topic
        pattern: 'microservices'
      - label: "Multicloud"
        field: parent_topic
        pattern: 'multicloud'
      - label: "Ops"
        field: parent_topic
        pattern: 'ops'
      - label: "Serverless"
        field: parent_topic
        pattern: 'serverless'
      - label: "Single Application"
        field: parent_topic
        pattern: 'single-application'
      - label: "Version Control"
        field: parent_topic
        pattern: 'version-control'
  - name: blog_posts
    label: Blog Posts
    preview_path: "blog/{{year}}/{{month}}/{{day}}/{{title}}/"
    folder: /sites/uncategorized/source/blog/blog-posts/
    extension: .html.md.erb
    format: frontmatter
    create: true
    slug: '{{year}}-{{month}}-{{day}}-{{title}}'
    view_filters:
      - label: "Company"
        field: categories
        pattern: 'company'
      - label: "Culture"
        field: categories
        pattern: 'culture'
      - label: "Engineering"
        field: categories
        pattern: 'engineering'
      - label: "Insights"
        field: categories
        pattern: 'insights'
      - label: "News"
        field: categories
        pattern: 'news'
      - label: "Open Source"
        field: categories
        pattern: 'open source'
      - label: "Security"
        field: categories
        pattern: 'security'
      - label: "Unfiltered"
        field: categories
        pattern: 'unfiltered'
    fields:
      - {label: Title, name: title, widget: string, required: true}
      - {label: Author, name: author, widget: string, required: false}
      - {label: Author GitLab, name: author_gitlab, widget: string, required: false}
      - {label: Author Twitter, name: author_twitter, widget: string, required: false}
      - {label: Categories, name: categories, widget: string, required: true, hint: Visit https://about.gitlab.com/handbook/marketing/blog/#categories for all categories.}
      - {label: Tags, name: tags, widget: string, required: false, hint: Visit https://about.gitlab.com/handbook/marketing/blog/#tags see all available tags. Seperate by commas for multiple tags}
      - {label: Description, name: description, widget: string, required: true}
      - label: Image, 
        name: image_title 
        widget: image 
        required: false
        media_folder: /source/images/blogimages
        public_folder: /images/blogimages
      - {label: Twitter Text, name: twitter_text, widget: string, required: false}
      - {label: Body, name: body, widget: markdown, required: true}
  - name: typeform
    label: Typeform
    format: yml
    extension: yml
    folder: /data/typeform/
    create: true
    slug: '{{file_name}}'
    fields:
      - {label: Title, name: title, hint: Title displayed in header of webpage, widget: string, required: true}
      - {label: Header Body, name: header_body, widget: markdown, hint: This is displayed in the header underneath the title, required: true}
      - {label: SEO Description, hint: This is the SEO description that will get rendered in search results, name: description, widget: string, required: true}
      - {label: Final URL Path, hint: This will be the final part of the quiz page url and what your data file is named in data/typeform/ - about.gitlab.com/quiz/URL, name: file_name, widget: string, required: true}
      - label: Social share image
        hint: The images that is displayed in social media when this article is shared
        name: twitter_image
        widget: image
        media_folder: /source/images/opengraph
        public_folder: /images/opengraph
        required: true  
      - {label: Typeform embedd, name: typeform, widget: code, required: true}
      - label: cta_banner
        name: cta_banner
        widget: list
        required: false
        hint: More content to be displayed after benefits of block, this content can have CTA buttons
        fields:
          - {label: Title, name: title, widget: string, required: false}
          - {label: CTA Body, name: body, widget: markdown, required: false}
          - label: CTA buttons
            name: cta
            widget: list
            required: false
            fields:
              - {label: CTA Text, name: text, widget: string, required: true}
              - {label: URL, name: url, widget: string, required: true}
      - label: Suggested Content
        name: suggested_content
        hint: Only place existing blog articles starting with the /blog/path-to-blog-article path. This block will intelligently pull the blog title, description, link, and image into a blog card displayed in a group at the bottom of the page.
        widget: list
        required: false
        fields:
          - {label: URL, name: url, widget: string}
  - name: event
    label: Event
    format: yml
    extension: yml
    folder: /data/event_slippers/
    create: true
    slug: '{{file_name}}'
    fields:
      - {label: Title, name: title, hint: Title displayed in header of webpage, widget: string, required: true}
      - {label: Header Body, name: header_body, widget: markdown, hint: This is displayed in the header underneath the title, required: true}
      - {label: SEO Description, hint: This is the SEO description that will get rendered in search results, name: description, widget: string, required: true}
      - {label: Final URL Path, hint: This will be the final part of the quiz page url and what your data file is named in data/typeform/ - about.gitlab.com/quiz/URL, name: file_name, widget: string, required: true}
      - label: Social share image
        hint: The images that is displayed in social media when this article is shared
        name: twitter_image
        widget: image
        media_folder: /source/images/opengraph
        public_folder: /images/opengraph
        required: true 
      - label: Navigation
        hint: Navigation links on right side of page, anchor links to content on page
        name: navigation
        widget: object
        required: true
        fields:
          - {label: Brand Link, name: brand_link, widget: string}
          - {label: CTA Link, name: cta_link, widget: string}
          - {label: Location, name: location, widget: string}
          - {label: Date, name: date, widget: string}
          - label: Navigation Links
            name: links
            widget: list
            required: true
            fields:
              - {label: Link Text, name: title, widget: string}
              - {label: href, name: href, widget: string}
      - label: header
        hint: Header with Video
        name: header
        widget: object
        required: false
        fields:
          - {label: Event Name, name: event_name, widget: string, required: false }
          - {label: Heading, name: heading, widget: string, required: false }
          - {label: Date, name: date, widget: string, required: false }
          - {label: Location, name: location, widget: string, required: false }
          - {label: CTA Text, name: cta_text, widget: string, required: false }
          - {label: CTA Link, name: cta_link, widget: string, required: false }
          - {label: Video ID, name: video_id, widget: string, required: false }
          - {label: Background, name: background, widget: image, required: false,  media_folder: /source/images/eventimages, public_folder: /images/eventimages}         
      - label: Featured Video
        name: featured_video
        hint: stuff
        widget: object
        required: false
        fields:
          - {label: Title of Featured Video, name: event_name, widget: string, required: false }
          - label: Video in Featured Video
            name: videos
            widget: list
            required: false
            fields:
              - {label: ID, name: id, widget: string, required: false }
              - {label: Title, name: title, widget: string, required: false }
              - {label: Thumbnail, name: thumbnail, widget: image, required: false,  media_folder: /source/images/eventimages, public_folder: /images/eventimages}         
      - label: Video Carousel
        name: video_carousel
        hint: stuff
        widget: object
        required: false
        fields:
          - {label: Title of video carousel, name: event_name, widget: string, required: false }
          - label: Videos in Varousel
            name: videos
            widget: list
            required: false
            fields:
              - {label: ID, name: id, widget: string, required: false }
              - {label: Title, name: title, widget: string, required: false }
              - {label: Thumbnail, name: thumbnail, widget: image, required: false,  media_folder: /source/images/eventimages, public_folder: /images/eventimages}         
      - label: 1st Copy Block
        hint: Copy & Image Block
        name: copy_1
        widget: list
        required: false
        fields:
          - {label: Heading, name: heading, widget: string, required: false }
          - {label: Header Icon , name: icon, widget: string, hint: The icon to display with a header component, required: false}         
          - {label: Subheading, name: subheading, widget: string, required: false}         
          - {label: Copy - 1st column, name: bodyColOne, widget: markdown, required: false}         
          - {label: CTA, name: cta, widget: string, required: false}         
          - {label: CTA link, name: destinationUrl, widget: string, required: false}   
          - {label: Image for 1st Column Copy, name: imageSourceTwo, widget: image, required: false,  media_folder: /source/images/eventimages, public_folder: /images/eventimages}         
          - {label: Image alt tag for 1st Column Cop, name: imageAltTwo, widget: string, required: false}         
          - {label: Subheading two, name: subheadingTwo, widget: string, required: false}                 
          - {label: Copy - 2nd column, name: bodyColTwo, widget: markdown, required: false}         
          - {label: CTA 2, name: ctaTextTwo, widget: string, required: false}         
          - {label: CTA link 2, name: ctaLinkTwo, widget: string, required: false} 
          - {label: Image Source for 2st Column Copy, name: imageSourceOne, widget: image, required: false,  media_folder: /source/images/eventimages, public_folder: /images/eventimages}        
          - {label: Image alt tag for 2st Column Copy, name: imageAltOne, widget: string, required: false}          
      - label: List Block Spot One
        hint: 1st list block spot availble
        name: block_list_1
        widget: object
        required: false
        fields:
          - {label: Heading, name: heading, widget: string, required: false }
          - {label: Icon, name: icon, widget: string, required: false }
          - {label: Subheading, name: subheading, widget: string, required: false}         
          - {label: List body text, name: body, widget: markdown, required: false}         
          - {label: CTA Text, name: ctaText, widget: string, required: false}         
          - {label: CTA Link, name: ctaLink, widget: string, required: false}         
          - label: List Items
            name: items
            widget: list
            required: false
            fields:
              - {label: Icon, name: icon, widget: string, required: false }
              - {label: Text, name: text, widget: string, required: true }
      - label: List Block Spot Two
        hint: 2st list block spot availble
        name: block_list_2
        widget: object
        required: false
        fields:
          - {label: Heading, name: heading, widget: string, required: false }
          - {label: Icon, name: icon, widget: string, required: false }
          - {label: Subheading, name: subheading, widget: string, required: false}         
          - {label: List body text, name: body, widget: markdown, required: false}         
          - {label: CTA Text, name: ctaText, widget: string, required: false}         
          - {label: CTA Link, name: ctaLink, widget: string, required: false}         
          - label: List Items
            name: items
            widget: list
            required: false
            fields:
              - {label: Icon, name: icon, widget: string, required: false }
              - {label: Text, name: text, widget: string, required: true }
      - label: List Block Spot Three
        hint: 2st list block spot availble
        name: block_list_3
        widget: object
        required: false
        fields:
          - {label: Heading, name: heading, widget: string, required: false }
          - {label: Icon, name: icon, widget: string, required: false }
          - {label: Subheading, name: subheading, widget: string, required: false}         
          - {label: List body text, name: body, widget: markdown, required: false}         
          - {label: CTA Text, name: ctaText, widget: string, required: false}         
          - {label: CTA Link, name: ctaLink, widget: string, required: false}         
          - label: List Items
            name: items
            widget: list
            required: false
            fields:
              - {label: Icon, name: icon, widget: string, required: false }
              - {label: Text, name: text, widget: string, required: true }
      - {label: Partner Heading, name: partners_heading, widget: string, required: false}
      - {label: Partner Body Text, name: partners_body, widget: markdown, required: false}
      - {label: Partner CTA Text, name: partners_cta_text, widget: string, required: false}
      - {label: Partner CTA Link, name: partners_cta_link, widget: string, required: false}
      - label: Partners Teirs
        hint: Partner teirs
        name: partners_tiers
        widget: list
        required: false
        fields:
          - {label: Heading, name: heading, widget: string, required: true }
          - {label: Image Size, name: image_size, widget: string, required: true }       
          - label: Logos
            name: logos
            widget: list
            required: false
            fields:
              - {label: Logo, name: logo, widget: image, required: true,  media_folder: /source/images/eventimages, public_folder: /images/eventimages}         
      - label: Speakers Block
        name: speakers_block
        hint: Speakers block content such as the heading and body copy
        widget: object
        required: false
        fields:
          - {label: Speakers block heading, name: heading, widget: string, required: false }
          - {label: Speakers subheading, name: subheading, widget: string, required: false }
          - {label: Seakers body copy, name: body, widget: markdown, required: false }
          - {label: Speakers are current, name: speakers_are_current, widget: string, default: false}
          - label: Speakers
            hint: List of speakers to display on the page
            name: speakers
            widget: list
            required: false
            fields:
              - {label: Company, name: company, widget: string, required: true }
              - {label: Name, name: name, widget: string, required: true }
              - {label: Title, name: title, widget: string, required: true }
              - {label: Headshot, name: headshot, widget: image, required: true,  media_folder: /source/images/eventimages, public_folder: /images/eventimages}
      - label: Tracks
        hint: tracks
        name: tracks
        widget: object
        required: false
        fields:
          - {label: Heading, name: heading, widget: string, required: false }
          - {label: Header icon, name: icon, widget: string, required: false }  
          - {label: Body, name: body, widget: markdown, required: false } 
          - label: Cards
            name: card
            widget: list
            required: false
            fields:
              - {label: Heading, name: heading, widget: string, required: true} 
              - {label: icon, name: icon, widget: string, required: true} 
              - {label: icon_color, name: icon_color, widget: string, required: true} 
              - {label: body, name: body, widget: markdown, required: true}
      - label: cta
        hint: cta
        name: cta
        widget: list
        required: false
        fields:
          - {label: title, name: title, widget: string, required: false }
          - {label: description, name: description, widget: string, required: false }  
          - {label: image, name: image, widget: image, required: false,  media_folder: /source/images/eventimages, public_folder: /images/eventimages}
          - {label: button_text, name: button_text, widget: string, required: false }
          - {label: button_url, name: button_url, widget: string, required: true }
          - {label: button_class, name: button_class, widget: string, required: false } 
      - label: cta_3up
        hint: cta_3up
        name: cta_3up
        widget: object
        required: false
        fields:
          - {label: heading, name: heading, widget: string, required: false }
          - {label: icon, name: icon, widget: string, required: false} 
          - label: Cards
            name: cards
            widget: list
            required: false
            fields:
              - {label: title, name: title, widget: string, required: true }
              - {label: description, name: description, widget: string, required: true }  
              - {label: image, name: image, widget: image, required: false,  media_folder: /source/images/icons, public_folder: /images/icons}
              - {label: button_text, name: button_text, widget: string, required: true }
              - {label: button_url, name: button_url, widget: string, required: true }
              - {label: button_class, name: button_class, widget: string, required: false } 
      - label: announcement
        hint: announcement
        name: announcement
        widget: list
        required: false
        fields:
          - {label: title, name: title, widget: string, required: false }
          - {label: body, name: body, widget: markdown, required: false }         
          - {label: body_after_link, name: body_after_link, widget: string, required: false }         
          - {label: link_url, name: link_url, widget: string, required: false }         
          - {label: link_text, name: link_text, widget: string, required: false }
      - label: countdown
        hint: countdown
        name: countdown
        widget: list
        required: false
        fields:
          - {label: heading, name: heading, widget: string, required: false }
          - {label: background, name: background, widget: string, required: false }         
          - {label: countdownDate, name: countdownDate, widget: string, required: false, hint: Using this format - Aug 3, 2021 09:00:00 }
      - label: connect
        hint: connect
        name: connect
        widget: object
        required: false
        fields:
          - {label: heading, name: heading, widget: string, required: false }
          - {label: subheading, name: subheading, widget: string, required: false }         
          - {label: body, name: body, widget: string, required: false }         
          - {label: buttonText, name: buttonText, widget: string, required: false }         
          - {label: buttonLink, name: buttonLink, widget: string, required: false }         
          - {label: checkboxLabel, name: checkboxLabel, widget: string, required: false }         
          - {label: inputLabel, name: inputLabel, widget: string, required: false }         
          - {label: inputPlaceholder, name: inputPlaceholder, widget: string, required: false }         
          - {label: inputType, name: inputType, widget: string, required: false }    
      - label: cards_section
        hint: cards_section
        name: cards_section
        widget: object
        required: false
        fields:
          - {label: heading, name: heading, widget: string, required: false }
          - {label: icon, name: icon, widget: string, required: false} 
          - {label: placement, name: placement, widget: string, required: false} 
          - label: Cards
            name: cards
            widget: list
            required: false
            fields:
              - {label: heading, name: heading, widget: string, required: true }
              - {label: icon, name: icon, widget: string, required: true }  
              - {label: date, name: date, widget: string, required: true }
              - {label: event_type, name: event_type, widget: string, required: true }
              - {label: cta, name: cta, widget: string, required: true }
              - {label: destinationUrl, name: destinationUrl, widget: string, required: true } 
      - label: cards_section_two
        hint: cards_section_two
        name: cards_section_two
        widget: object
        required: false
        fields:
          - {label: heading, name: heading, widget: string, required: false }
          - {label: placement, name: placement, widget: string, required: false} 
          - label: Cards
            name: cards
            widget: list
            required: false
            fields:
              - {label: heading, name: heading, widget: string, required: true }
              - {label: icon, name: icon, widget: string, required: true }  
              - {label: date, name: date, widget: string, required: true }
              - {label: event_type, name: event_type, widget: string, required: true }
              - {label: cta, name: cta, widget: string, required: true }
              - {label: destinationUrl, name: destinationUrl, widget: string, required: true } 
              - {label: bannerImageSource, name: bannerImageSource, widget: image, required: true,  media_folder: /source/images/eventimages, public_folder: /images/eventimages}
  - name: comparison_pages
    label: Comparison Pages
    collapsed: true
    format: yml
    extension: yml
    folder: /data/comparison_pages/
    create: true
    slug: '{{file_name}}'
    fields:
    - {label: "Title", name: "title", widget: "string", required: true}
    - label: "Manage"
      name: "manage"
      widget: "list"
      allow_add: false
      field: { widget: "number", name: "Feature Score", hint: "0: No Support 1: Partial Support 2: Full Support", value_type: "int", min: 0, max: 2 }
    - label: "Plan"
      name: "plan"
      widget: "list"
      allow_add: false
      field: { widget: "number", name: "Feature Score", hint: "0: No Support 1: Partial Support 2: Full Support", value_type: "int", min: 0, max: 2 }
    - label: "Source Code Management"
      name: "source-code-management"
      widget: "list"
      allow_add: false
      field: { widget: "number", name: "Feature Score", hint: "0: No Support 1: Partial Support 2: Full Support", value_type: "int", min: 0, max: 2 }
    - label: "Continuous Integration"
      name: "continuous-integration"
      widget: "list"
      allow_add: false
      field: { widget: "number", name: "Feature Score", hint: "0: No Support 1: Partial Support 2: Full Support", value_type: "int", min: 0, max: 2 }
    - label: "Package"
      name: "package"
      widget: "list"
      allow_add: false
      field: { widget: "number", name: "Feature Score", hint: "0: No Support 1: Partial Support 2: Full Support", value_type: "int", min: 0, max: 2 }
    - label: "Secure"
      name: "secure"
      widget: "list"
      allow_add: false
      field: { widget: "number", name: "Feature Score", hint: "0: No Support 1: Partial Support 2: Full Support", value_type: "int", min: 0, max: 2 }
    - label: "Continuous Delivery"
      name: "continuous-delivery"
      widget: "list"
      allow_add: false
      field: { widget: "number", name: "Feature Score", hint: "0: No Support 1: Partial Support 2: Full Support", value_type: "int", min: 0, max: 2 }
    - label: "Configure"
      name: "configure"
      widget: "list"
      allow_add: false
      field: { widget: "number", name: "Feature Score", hint: "0: No Support 1: Partial Support 2: Full Support", value_type: "int", min: 0, max: 2 }
    - label: "Monitor"
      name: "monitor"
      widget: "list"
      allow_add: false
      field: { widget: "number", name: "Feature Score", hint: "0: No Support 1: Partial Support 2: Full Support", value_type: "int", min: 0, max: 2 }
    - label: "Protect"
      name: "protect"
      widget: "list"
      allow_add: false
      field: { widget: "number", name: "Feature Score", hint: "0: No Support 1: Partial Support 2: Full Support", value_type: "int", min: 0, max: 2 }


